Subject: bug#40573: 27.0.90; flymake-mode broken in scratch buffer

From: João Távora <[email-masked]>
Date: Sun, 12 Apr 2020 18:02:31 +0100

On Sun, Apr 12, 2020 at 3:44 PM Eli Zaretskii <[email-masked]> wrote:

> > > Thanks, this is okay for the emacs-27 branch.
>   > Done, just pushed.  Not marking the bug done, though, since
> > as I said before, I don't think this is the right fix.
>
> Why isn't this the right fix?
>

Because the right fix is not to have the condition at
the end of emacs-lisp-mode at all, as I explained
in the previous email.  I.e handicapping a mode depending
on the buffer file name the mode applies to is wrong. IMO.

> > Or maybe it should be marked done but not closed? I don't know these
> > bug state transition dynamics and won't object to anything you want
> > to do here.
>
> There's no such thing as done but not closed.  Feel free to leave this
> open if you intend to work on it on master.
>

The only intention I have is to revert the commit you added,
add an emacs-lisp-data-mode according to Stefan's and Dmitry's
suggestion, and use that mode for .dir-local.el. I'd also appreciate
such a mode for other lispy data files I have. Anyway, last time
I checked, you opposed this (very?) strongly so unless that stance
has changed, there's not much for me to work on.

Let me know,
João